Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Nested Classes | Inherited Constants | Fields | Ctors | Methods | Inherited Methods | [Expand All]
public final class

# CameraPosition

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.maps.model.CameraPosition

## Class Overview

An immutable class that aggregates all camera position parameters.

### Developer Guide

For more information, read the Changing the View developer guide.

## Summary

Nested Classes
class | CameraPosition.Builder | Builds camera position.

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final CameraPositionCreator | CREATOR |
public final float | bearing | Direction that the camera is pointing in, in degrees clockwise from north.
public final LatLng | target | The location that the camera is pointing at.
public final float | tilt | The angle, in degrees, of the camera angle from the nadir (directly facing the Earth).
public final float | zoom | Zoom level near the center of the screen.

Public Constructors
| CameraPosition(LatLng target, float zoom, float tilt, float bearing) Constructs a CameraPosition.

Public Methods
static CameraPosition.Builder | builder() Creates a builder for a camera position.
static CameraPosition.Builder | builder(CameraPosition camera) Creates a builder for a camera position, initialized to a given position.
static CameraPosition | createFromAttributes(Context context, AttributeSet attrs) Creates a CameraPostion from the attribute set
int | describeContents()
boolean | equals(Object o)
final static CameraPosition | fromLatLngZoom(LatLng target, float zoom) Constructs a CameraPosition pointed for a particular target and zoom level.
int | hashCode()
String | toString()
void | writeToParcel(Parcel out, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final CameraPositionCreator CREATOR

#### public final float bearing

Direction that the camera is pointing in, in degrees clockwise from north.

#### public final LatLng target

The location that the camera is pointing at.

#### public final float tilt

The angle, in degrees, of the camera angle from the nadir (directly facing the Earth). See `tilt` for details of restrictions on the range of values.

#### public final float zoom

Zoom level near the center of the screen. See `zoom` for the definition of the camera's zoom level.

## Public Constructors

#### public CameraPosition (LatLng target, float zoom, float tilt, float bearing)

Constructs a CameraPosition.

##### Parameters

target | The target location to align with the center of the screen.
zoom | Zoom level at target. See `zoom` for details of restrictions.
tilt | The camera angle, in degrees, from the nadir (directly down). See `tilt` for details of restrictions.
bearing | Direction that the camera is pointing in, in degrees clockwise from north. This value will be normalized to be within 0 degrees inclusive and 360 degrees exclusive.

##### Throws

NullPointerException | if `target` is null
IllegalArgumentException | if `tilt` is outside the range of 0 degress inclusive to 90 degrees inclusive.

## Public Methods

#### public static CameraPosition.Builder builder ()

Creates a builder for a camera position.

#### public static CameraPosition.Builder builder (CameraPosition camera)

Creates a builder for a camera position, initialized to a given position.

#### public static CameraPosition createFromAttributes (Context context, AttributeSet attrs)

Creates a CameraPostion from the attribute set

#### public int describeContents ()

#### public boolean equals (Object o)

#### public static final CameraPosition fromLatLngZoom (LatLng target, float zoom)

Constructs a CameraPosition pointed for a particular target and zoom level. The resultant bearing is North, and the viewing angle is perpendicular to the Earth's surface. i.e., directly facing the Earth's surface, with the top of the screen pointing North.

##### Parameters

target | The target location to align with the center of the screen.
zoom | Zoom level at target. See `zoom(float)` for details on the range the value will be clamped to. The larger the value the more zoomed in the camera is.

#### public int hashCode ()

#### public String toString ()

#### public void writeToParcel (Parcel out, int flags)